<!DOCTYPE html>
<html ng-app="todosFrontEnd">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
        integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
    <link rel="stylesheet" href="./css/style.css">
    <link rel="stylesheet" href="./css/toasts.css">
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.4.0/angular.min.js"></script>
    <script src="./bundle.js"></script>
    <title>Simple Todo App</title>
</head>

<body>
    <div>

        <span style="text-align: center;">
            <h1>Simple Todo App with Node.js and AngularJS</h1>
        </span>

        <div ng-controller="DataFromApi">

            <div class="well">
                <form class="form-inline" id="createTodo">
                    <div class="form-group">
                        <input type="text" id="todoDesc" ng-model="todoDesc" class="form-control"
                            placeholder="Todo Description" data-toggle="tooltip" title="Add a Todo Description">
                    </div>
                    <div class="form-group">
                        <input type="date" ng-model="todoDate" data-toggle="tooltip" title="Add a Todo Date"
                            class="form-control">
                    </div>
                    <button type="submit" ng-click="postTodo(todoDesc, todoDate)"
                        class="btn btn-primary">Create</button>
                    <div id="createdToast">Todo Added!</div>
                </form>
            </div>

            <div id="todoNotFound" class="well" ng-if="todos.length == 0">
                {{todosNotFound}}
            </div>
            <div class="todos" ng-if="todos.length > 0">
                <div ng-repeat="todo in todos">
                    <div class="row well" ng-if="todo.is_done === false">
                        <span class="col-md-4">
                            <input type="checkbox" ng-model="todo.is_done" ng-click="editTodo(todo)">
                            <input type="text" data-toggle="tooltip" title="{{todo.todo_desc}}"
                                ng-model="todo.todo_desc">
                        </span>
                        <!-- <span id="markAsDoneToast">Todo Marked as Done!</span> -->
                        <span class="col-md-4" id="todoDate">
                            <input type="date" data-toggle="tooltip" title="{{todo.todo_date | date:'yyyy-MM-dd'}}"
                                ng-model="todo.todo_date" placeholder="yyyy-MM-dd"
                                value="{{todo.todo_date | date:'yyyy-MM-dd'}}">
                        </span>
                        <span class="col-md-2">
                            <button type="button" class="btn btn-warning" ng-click="editTodo(todo)">
                                Update
                            </button>
                            <!-- <span id="updateToast">Todo Updated!</span> -->
                            <button type="submit" class="btn btn-danger" ng-click=" deleteTodo(todo)">
                                Delete
                            </button>
                            <div id="deleteToast">Todo Deleted!</div>
                        </span>
                    </div>
                    <div class="row well" ng-if="todo.is_done === true" ng-style="doneWell">
                        <span class="col-md-4">
                            <input type="checkbox" ng-model="todo.is_done" ng-click="editTodo(todo)" checked>
                            <input type="text" name="Todo Description" data-toggle="tooltip" title="Marked as Done"
                                ng-model="todo.todo_desc" disabled>
                        </span>
                        <span class="col-md-4" id="todoDate">
                            <input type="date" ng-model="todo.todo_date" data-toggle="tooltip" title="Marked as Done"
                                placeholder="yyyy-MM-dd" value="{{todo.todo_date | date:'yyyy-MM-dd'}}" disabled>
                        </span>
                        <span class="col-md-2">
                            <button type="button" class="btn btn-warning" ng-click="editTodo(todo)"
                                disabled>Update</button>
                            <button type="submit" class="btn btn-danger" ng-click="deleteTodo(todo)">Delete</button>
                            <div id="deleteToast">Todo Deleted!</div>
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

</html>